 # 🎨 Coloraide - Color Picker Addon for Blender

A Blender addon for advanced color picking and color management. Available in Image Editor, 3D Viewport, and Clip Editor.

![Image Description](https://github.com/longiy/static-assets/blob/main/coloraide-assets/ColorDynamics.gif?raw=true)
![Image Description](https://github.com/longiy/static-assets/blob/main/coloraide-assets/Coloraide_v1.1.1_Update_Colorwheel.gif?raw=true)
![Image Description](https://github.com/longiy/static-assets/blob/main/coloraide-assets/Coloraide_ColorHistory.gif?raw=true)
![Image Description](https://github.com/longiy/static-assets/blob/main/coloraide-assets/ColorPickerProPlus_gif.gif)
![Image Description](https://github.com/longiy/static-assets/blob/main/coloraide-assets/ColorPickerProPanel.png)


## ✨ Features

### 🔍 Color Picking & Management
- **Quick Pick** (Backslash `\`): Press and hold to sample colors, see real-time preview of current pixel and area average
- **Screen Picker**: Flexible sampling area (1x1 to custom size), color statistics, live preview
- **Color Wheel**: Interactive with adjustable size
- **Multiple Color Spaces**: RGB (0-255), LAB, Hex input/output
- **Color Dynamics**: Random variations during strokes (0-100% strength)

### 📋 Color History
- Adjustable size (8-80 slots) with duplicate prevention
- Grid-based display with quick color reuse
- Expandable interface with easy size controls

### 🖌️ Tool Integration
- Works with Grease Pencil brushes, Texture Paint brushes
- Supports unified color settings and brush color dynamics

## 🚀 Quick Start

### Basic Operations
- **Quick Pick**: `\` + move cursor + release
- **Screen Picker**: Set size → click eyedropper → select
- **Color Dynamics**: Adjust strength → paint
- **History**: Auto-saves colors, click to reuse, +/- to resize

### 🎯 Color Space Details
| Space | Details |
|-------|---------|
| RGB | 0-255 per channel |
| LAB | L (0-100), a/b (-128 to +127) |
| Hex | #RRGGBB format |

## ⚙️ System Requirements
- Blender 4.2.0+
- OpenGL-compatible graphics card

## 📝 Credits
Created by longiy  
Licensed under GNU General Public License v3.0
